## fact++ 1.5.3~dfsg

=== src/DIGParser/Makefile ===
#
# Makefile for FaCT++ DIG parser library
#

# link to Xerces-C
INCLUDES = -I$(XERCESCROOT)/include
LDFLAGS = -L$(XERCESCROOT)/lib/ -lxerces-c

# -- DO NOT CHANGE THE REST OF FILE --
LIBRARY = DIGParser
LTYPE = static

USE_IL = ../Kernel

SOURCES = \
	  DIGParserHandlers.cpp\
	  DIGimplInput.cpp\
	  DIGimplOutput.cpp\
	  DIGNamesManager.cpp\
	  DIGinterface.cpp\
	  KernelFactory.cpp

include ../Makefile.include

=== src/FaCT++.DIG/Makefile ===
#
# Makefile for FaCT++
#

# link to Xerces-C
INCLUDES = -I$(XERCESCROOT)/include
LDFLAGS = -L$(XERCESCROOT)/lib/ -lxerces-c

# -- DO NOT CHANGE THE REST OF FILE --
EXECUTABLE = digFaCT++

USE_IL = ../DIGParser ../Kernel

SOURCES = digFileInterface.cpp\
          digFaCT.cpp

include ../Makefile.include

=== src/FaCT++.JNI/Makefile ===
#
# Makefile for FaCT++ JNI interface library
#

# -- DO NOT CHANGE THE REST OF FILE --
LIBRARY = FaCTPlusPlusJNI
LTYPE = shared

INCLUDES = -I/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks/JavaVM.framework/Headers -I/System/Library/Frameworks/JavaVM.framework/Headers
USE_IL = ../Kernel

SOURCES = \
	  FaCTPlusPlus.cpp

include ../Makefile.include

=== src/FaCT++.Server/Makefile ===
#
# Makefile for FaCT++
#

# link to Xerces-C
INCLUDES = -I$(XERCESCROOT)/include
LDFLAGS = -L$(XERCESCROOT)/lib -lxerces-c

# -- DO NOT CHANGE THE REST OF FILE --
EXECUTABLE = FaCT++.Server

USE_IL = ../DIGParser ../Kernel

SOURCES = main.cpp

include ../Makefile.include

=== src/FaCT++/Makefile ===
#
# Makefile for FaCT++
#

# -- DO NOT CHANGE THE REST OF FILE --
EXECUTABLE = FaCT++

USE_IL = ../Kernel

SOURCES = \
          scanner.cpp\
          parser.cpp\
          FaCT.cpp

include ../Makefile.include

=== src/Kernel/Makefile ===
#
# Makefile for FaCT++ kernel reasoning library
#

# -- DO NOT CHANGE THE REST OF FILE --
LIBRARY = Kernel
LTYPE = static

SOURCES = \
          dltree.cpp\
          configure.cpp\
          LeveLogger.cpp\
          dlTBox.cpp\
          dlCompletionTree.cpp\
          Reasoner.cpp\
          dlVertex.cpp\
          dlDag.cpp\
          RoleMaster.cpp\
          LogicFeature.cpp\
		  ifOptions.cpp\
		  Blocking.cpp\
		  Taxonomy.cpp\
		  Kernel.cpp\
		  Tactic.cpp\
		  modelCacheIan.cpp\
		  DLConceptTaxonomy.cpp\
		  taxVertex.cpp\
		  tRole.cpp\
		  tConcept.cpp\
		  dumpInterface.cpp\
		  dumpLisp.cpp\
		  dlCompletionGraph.cpp\
		  Relevance.cpp\
		  BuildDAG.cpp\
		  DataReasoning.cpp\
		  SortedReasoning.cpp\
		  CWDArray.cpp\
		  RAutomaton.cpp\
		  tAxiomSet.cpp\
		  tAxiom.cpp\
		  DataTypeCenter.cpp\
          Preprocess.cpp\
          Input.cpp\
          SaveLoad.cpp\
          ReasonerNom.cpp\
          tExpressionManager.cpp\
          CascadedCache.cpp\
          TriRelation.cpp\
          tSubsumptionMap.cpp\
          Actor.cpp\
          tDag2Interface.cpp\
          tSplitExpansionRules.cpp\
          tDLAxiom.cpp\

include ../Makefile.include

=== debian/changelog ===
fact++ (1.5.3~dfsg-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#431175.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jun 2012 20:25:49 +0200

=== debian/control ===
Source: fact++
Section: x11
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts,
 cdbs (>= 0.4.72~),
 debhelper,
 dh-buildinfo,
 cloog-ppl
Build-Conflicts: libtextcat-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/fact++-search/
Vcs-Git: git://git.debian.org/git/collab-maint/fact++.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fact++.git

Package: fact++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Suggests: antiword, catdoc, catdvi, djvulibre-bin,
 poppler-utils | xpdf-utils, rpm, unrtf, unzip
Description: description logic reasoner for the semantic web
 FaCT++ is a DL reasoner. It supports OWL DL as well as the forthcoming
 standard OWL 1.1. FaCT++ is implemented in C++ and uses optimised
 tableaux algorithms. The tool is probably best known for its
 compatibility with the tool Protege that helps to formally represent
 semantics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for FaCT++
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# DEB_BUILDDIR unused but required by CDBS sanity check
DEB_BUILDDIR = build
#DEB_MAKE_FLAVORS = server parser lisp kernel
DEB_MAKE_FLAVORS = lisp kernel

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_PACKAGE = FaCTpp
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-/-src-v/
DEB_UPSTREAM_URL = http://factplusplus.googlecode.com/files
DEB_UPSTREAM_TARBALL_EXTENSION = tgz
DEB_UPSTREAM_TARBALL_SRCDIR = FaCT++-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = 78bca7cb1e981b487d97b88b9ba9a67c

# possibly non-DFSG JAR files
DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 ./src/FaCT++.OWLAPI/lib/owlapi-src.jar \
 ./src/FaCT++.OWLAPI/lib/owlapi-bin.jar \
 ./src/FaCT++.OWLAPIv3/lib/owlapi-src.jar \
 ./src/FaCT++.OWLAPIv3/lib/owlapi-bin.jar

pkg = $(DEB_SOURCE_PACKAGE)

# subdirs contain chars unusable as flavor labels so are added manually
DEB_MAKE_BUILDDIRSKEL = $(cdbs_curbuilddir)

CDBS_BUILD_DEPENDS += , cloog-ppl
DEB_BUILDDIR_kernel = src/Kernel

DEB_BUILDDIR_lisp = src/FaCT++
ifneq (,$(filter lisp,$(DEB_MAKE_FLAVORS)))
binaries += src/FaCT++/obj/FaCT++
endif
debian/stamp-makefile-build/lisp: debian/stamp-makefile-build/kernel

DEB_BUILDDIR_parser = src/DIGParser
ifneq (,$(filter parser,$(DEB_MAKE_FLAVORS)))
CDBS_BUILD_DEPENDS += , libxerces-c-dev
#DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
endif
debian/stamp-makefile-build/parser: DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
debian/stamp-makefile-build/parser: debian/stamp-makefile-build/kernel

DEB_BUILDDIR_server = src/FaCT++.Server
ifneq (,$(filter server,$(DEB_MAKE_FLAVORS)))
binaries += src/FaCT++.Server/obj/FaCT++.Server
endif
debian/stamp-makefile-build/server: debian/stamp-makefile-build/kernel
debian/stamp-makefile-build/server: debian/stamp-makefile-build/parser

DEB_BUILDDIR_jni = src/FaCT++.JNI
ifneq (,$(filter jni,$(DEB_MAKE_FLAVORS)))
CDBS_BUILD_DEPENDS += , default-jdk
DEB_INSTALL_EXAMPLES_$(pkg) += src/FaCT++.JNI/obj/libFaCTPlusPlusJNI.so
endif
debian/stamp-makefile-build/jni: debian/stamp-makefile-build/kernel

# Include CPPFLAGS - e.g. for security hardening
DEB_MAKE_EXTRA_ARGS += DEFINES="$(CPPFLAGS)"

# Support non-optimized builds
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
DEB_MAKE_EXTRA_ARGS += GENERAL_DEFINES=
endif

# TODO: make testsuite work
#PATH=$PWD/src/FaCT++:$PATH make -C Models.lisp/DataTypeTest

DEB_DH_INSTALL_ARGS_$(pkg) = $(binaries) $(if $(binaries), usr/bin)

## fact++ 1.6.2~dfsg

=== Models.lisp/DataTypeTest/Makefile ===
# this is automatically generate makefile for KB

all: sat

clean:
	rm -f dl.res Taxonomy.Roles Taxonomy.log reasoning.log
	rm -f dl.res.diff Taxonomy.Roles.diff Taxonomy.log.diff reasoning.log.diff

KB_CONF = DataTypeTest.conf
KB = DataTypeTest.tbox

sat classify:
	FaCT++ $(KB_CONF)

=== src/FaCT++.JNI/Makefile ===
--- 
+++ 
@@ -10,6 +10,11 @@
 USE_IL = ../Kernel
 
 SOURCES = \
-	  FaCTPlusPlus.cpp
+	Axioms.cpp\
+	Expressions.cpp\
+	KnowledgeExploration.cpp\
+	Modularity.cpp\
+	Queries.cpp\
+	FaCTPlusPlus.cpp
 
 include ../Makefile.include

=== src/Kernel/Makefile ===
--- 
+++ 
@@ -51,5 +51,7 @@
           tDag2Interface.cpp\
           tSplitExpansionRules.cpp\
           tDLAxiom.cpp\
+          AtomicDecomposer.cpp\
+          KnowledgeExplorer.cpp\
 
 include ../Makefile.include

=== debian/changelog ===
fact++ (1.6.2~dfsg-2) unstable; urgency=low

  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump packaging license to GPL-3+, and extend coverage to include
    current year.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Jun 2013 20:04:59 +0200

fact++ (1.6.2~dfsg-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    + Bug fixes.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Extend coverage for main copyright holder.
  * Bump standards-version to 3.9.4.
  * Really fix Homepage, as promised in 1.6.1~dfsg-1.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Mar 2013 00:46:25 +0100

fact++ (1.6.1~dfsg-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    + Bug fixes.

  [ Jonas Smedegaard ]
  * Fix stop build-conflicting with libtextcat-dev: Apparently
    completely bogus.
  * Drop (unused) build flavors server and parser: No longer included
    upstream.
  * Update copyright file:
    + Drop Files section for files no longer shipped upstream.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Use space (not tab) in license.
  * Shorten README.source: Simply refer to wiki page about CDBS +
    git-buildpackage packaging style.
  * Bump dephelper compatibility level to 8.
  * Fix Homepage and source URLs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Dec 2012 16:46:52 +0100

fact++ (1.6.0~dfsg-1) experimental; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Extend coverage of main author.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Sep 2012 17:16:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2012 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for FaCT++
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -18,7 +18,6 @@
 
 # DEB_BUILDDIR unused but required by CDBS sanity check
 DEB_BUILDDIR = build
-#DEB_MAKE_FLAVORS = server parser lisp kernel
 DEB_MAKE_FLAVORS = lisp kernel
 
 -include /usr/share/cdbs/1/rules/upstream-tarball.mk
@@ -31,7 +30,7 @@
 DEB_UPSTREAM_URL = http://factplusplus.googlecode.com/files
 DEB_UPSTREAM_TARBALL_EXTENSION = tgz
 DEB_UPSTREAM_TARBALL_SRCDIR = FaCT++-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 78bca7cb1e981b487d97b88b9ba9a67c
+DEB_UPSTREAM_TARBALL_MD5 = 0d0ed4a3f3ea333ae05f7c9ea2eba4e3
 
 # possibly non-DFSG JAR files
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
@@ -54,21 +53,6 @@
 endif
 debian/stamp-makefile-build/lisp: debian/stamp-makefile-build/kernel
 
-DEB_BUILDDIR_parser = src/DIGParser
-ifneq (,$(filter parser,$(DEB_MAKE_FLAVORS)))
-CDBS_BUILD_DEPENDS += , libxerces-c-dev
-#DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
-endif
-debian/stamp-makefile-build/parser: DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
-debian/stamp-makefile-build/parser: debian/stamp-makefile-build/kernel
-
-DEB_BUILDDIR_server = src/FaCT++.Server
-ifneq (,$(filter server,$(DEB_MAKE_FLAVORS)))
-binaries += src/FaCT++.Server/obj/FaCT++.Server
-endif
-debian/stamp-makefile-build/server: debian/stamp-makefile-build/kernel
-debian/stamp-makefile-build/server: debian/stamp-makefile-build/parser
-
 DEB_BUILDDIR_jni = src/FaCT++.JNI
 ifneq (,$(filter jni,$(DEB_MAKE_FLAVORS)))
 CDBS_BUILD_DEPENDS += , default-jdk

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/~dfsg\d*// \
http://code.google.com/p/factplusplus/downloads/list?can=1 .*/FaCTpp-src-v(\d.+)\.tgz

## fact++ 1.6.3~dfsg

=== src/Makefile ===
#
# Makefile for FaCT++ project
#

# -- DO NOT CHANGE THE REST OF FILE --
SUBDIRS = Kernel FaCT++ FaCT++.JNI

include Makefile.include

# Additional targets to build parts of the FaCT++

.PHONY: kernel
kernel:
	make -C Kernel

.PHONY: fpp_lisp
fpp_lisp: kernel
	make -C FaCT++

.PHONY: fpp_jni
fpp_jni: kernel
	make -C FaCT++.JNI

=== Models.lisp/DataTypeTest/Makefile ===
# this is automatically generate makefile for KB

FILES= dl.res Taxonomy.Roles Taxonomy.DRoles Taxonomy.ORoles Taxonomy.log reasoning.log response.xml
all: sat

clean:
	for file in $(FILES); do \
		rm -f $$file $$file.diff; \
	done

KB_CONF = DataTypeTest.conf
KB = DataTypeTest.tbox

sat classify:
	FaCT++ $(KB_CONF)

=== src/Kernel/Makefile ===
--- 
+++ 
@@ -45,13 +45,17 @@
           ReasonerNom.cpp\
           tExpressionManager.cpp\
           CascadedCache.cpp\
-          TriRelation.cpp\
-          tSubsumptionMap.cpp\
           Actor.cpp\
           tDag2Interface.cpp\
           tSplitExpansionRules.cpp\
           tDLAxiom.cpp\
           AtomicDecomposer.cpp\
           KnowledgeExplorer.cpp\
+          ConjunctiveQueryFolding.cpp\
+          ConjunctiveQuery.cpp\
+          TaxonomyCreator.cpp\
+          Incremental.cpp\
+          ExtendedDataRange.cpp\
+          SaveLoadManager.cpp\
 
 include ../Makefile.include

=== debian/changelog ===
fact++ (1.6.3~dfsg-1) unstable; urgency=low

  * Fix use package section science (not x11).
    Thanks to Maximilian Ernestus.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Git field: Use canonical URL.
  * Update Vcs-Browser field: Use cgit URL.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Extend coverage for myself.
    + Update Files sections.
    + Generalize Files-Excluded: field to cover any *.jar files.
  * Drop patch 2001: Upstream now respects $JAVA_HOME.
  * Fix stop suggest totally unrelated document reading utilities.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 May 2015 16:40:17 +0200

=== debian/control ===
Source: fact++
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 cloog-ppl
Standards-Version: 3.9.6
Homepage: http://owl.man.ac.uk/factplusplus/
Vcs-Git: git://anonscm.debian.org/collab-maint/fact++.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fact++.git

Package: fact++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Description: description logic reasoner for the semantic web
 FaCT++ is a DL reasoner. It supports OWL DL as well as the forthcoming
 standard OWL 1.1. FaCT++ is implemented in C++ and uses optimised
 tableaux algorithms. The tool is probably best known for its
 compatibility with the tool Protege that helps to formally represent
 semantics.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2012, 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2012-2013, 2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for FaCT++
 #
 # This program is free software; you can redistribute it and/or modify
@@ -33,11 +33,7 @@
 DEB_UPSTREAM_TARBALL_MD5 = 0d0ed4a3f3ea333ae05f7c9ea2eba4e3
 
 # possibly non-DFSG JAR files
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
- ./src/FaCT++.OWLAPI/lib/owlapi-src.jar \
- ./src/FaCT++.OWLAPI/lib/owlapi-bin.jar \
- ./src/FaCT++.OWLAPIv3/lib/owlapi-src.jar \
- ./src/FaCT++.OWLAPIv3/lib/owlapi-bin.jar
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += *.jar
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
@@ -55,6 +51,8 @@
 
 DEB_BUILDDIR_jni = src/FaCT++.JNI
 ifneq (,$(filter jni,$(DEB_MAKE_FLAVORS)))
+include /usr/share/javahelper/java-vars.mk
+export JAVA_HOME
 CDBS_BUILD_DEPENDS += , default-jdk
 DEB_INSTALL_EXAMPLES_$(pkg) += src/FaCT++.JNI/obj/libFaCTPlusPlusJNI.so
 endif

## fact++ 1.6.4~dfsg

=== Kernel/Makefile ===
#
# Makefile for FaCT++ kernel reasoning library
#

# -- DO NOT CHANGE THE REST OF FILE --
LIBRARY = Kernel
LTYPE = static

SOURCES = \
          dltree.cpp\
          configure.cpp\
          LeveLogger.cpp\
          dlTBox.cpp\
          dlCompletionTree.cpp\
          Reasoner.cpp\
          dlVertex.cpp\
          dlDag.cpp\
          RoleMaster.cpp\
          LogicFeature.cpp\
		  ifOptions.cpp\
		  Blocking.cpp\
		  Taxonomy.cpp\
		  Kernel.cpp\
		  Tactic.cpp\
		  modelCacheIan.cpp\
		  DLConceptTaxonomy.cpp\
		  taxVertex.cpp\
		  tRole.cpp\
		  tConcept.cpp\
		  dumpInterface.cpp\
		  dumpLisp.cpp\
		  dlCompletionGraph.cpp\
		  Relevance.cpp\
		  BuildDAG.cpp\
		  DataReasoning.cpp\
		  SortedReasoning.cpp\
		  CWDArray.cpp\
		  RAutomaton.cpp\
		  tAxiomSet.cpp\
		  tAxiom.cpp\
		  DataTypeCenter.cpp\
          Preprocess.cpp\
          Input.cpp\
          SaveLoad.cpp\
          ReasonerNom.cpp\
          tExpressionManager.cpp\
          CascadedCache.cpp\
          Actor.cpp\
          tDag2Interface.cpp\
          tDLAxiom.cpp\
          AtomicDecomposer.cpp\
          KnowledgeExplorer.cpp\
          TaxonomyCreator.cpp\
          Incremental.cpp\
          ExtendedDataRange.cpp\
          SaveLoadManager.cpp\
          dir_util.cpp\


include ../Makefile.include

=== debian/changelog ===
fact++ (1.6.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Track source at bitbucket.org (not code.google.com).
    + Set repacksuffix and mangle debian version.
    + Mention gbp in usage comment.
  * Update copyright info:
    + Update source location (bitbucket, not googlecode).
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + List bitbucket issue tracker as preferred upstream contact.
    + Extend copyright of packaging to cover current year.
    + Strip more binary files when repackaging upstream tarball.
    + Update and extend to cover newly added and moved files.
    + Extend coverage for main authro to include recent years.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Add lintian override regarding debhelper 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 May 2016 12:04:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper,
  dh-buildinfo,
  cloog-ppl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://owl.man.ac.uk/factplusplus/
-Vcs-Git: git://anonscm.debian.org/collab-maint/fact++.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fact++.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fact++.git
 
 Package: fact++

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg\d*//,repacksuffix=~dfsg" \
 https://bitbucket.org/dtsarkov/factplusplus/downloads \
 /dtsarkov/factplusplus/get/Release@ANY_VERSION@@ARCHIVE_EXT@

## fact++ 1.6.5~dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
project(factplusplus)

# global definition
set(CMAKE_CXX_STANDARD 98)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -ffast-math -fPIC -fomit-frame-pointer")
# Additional warnings (from GCC 6.2)
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wpedantic")

add_subdirectory(Kernel)
add_subdirectory(FaCT++)
add_subdirectory(FaCT++.C)
add_subdirectory(FaCT++.JNI)

=== Makefile ===
#
# Makefile for FaCT++ project
#

# -- DO NOT CHANGE THE REST OF FILE --
SUBDIRS = Kernel FaCT++ FaCT++.JNI FaCT++.C
#SUBDIRS = Kernel Tests

include Makefile.include

# Additional targets to build parts of the FaCT++

.PHONY: kernel
kernel:
	make -C Kernel

.PHONY: fpp_lisp
fpp_lisp: kernel
	make -C FaCT++

.PHONY: fpp_jni
fpp_jni: kernel
	make -C FaCT++.JNI

=== FaCT++.C/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(SOURCE_FILES
	fact.cpp
	fact.h
)

add_library(fact SHARED ${SOURCE_FILES})
target_link_libraries(fact LINK_PUBLIC Kernel)

add_executable(fact_test test.c)
target_link_libraries(fact_test LINK_PUBLIC Kernel fact)

# allow library users to find headers
target_include_directories(fact PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== FaCT++.C/Makefile ===
#
# Makefile for FaCT++
#

# -- DO NOT CHANGE THE REST OF FILE --
#EXECUTABLE=fact
LIBRARY = fact
LTYPE = shared

USE_IL = ../Kernel

SOURCES = \
          fact.cpp\

#          test.cpp

include ../Makefile.include

=== FaCT++.JNI/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

# We are using JNI and need to #include <jni.h>
find_package(JNI REQUIRED)

set(SOURCE_FILES
	Axioms.cpp
	Expressions.cpp
	FaCTPlusPlus.cpp
	JNIActor.h
	JNIMonitor.h
	JNISupport.h
	KnowledgeExploration.cpp
	MemoryStat.cpp
	MemoryStat.h
	Modularity.cpp
	Queries.cpp
	SaveLoad.cpp
	tJNICache.h
	uk_ac_manchester_cs_factplusplus_FaCTPlusPlus.h
)

# JNI Library should be declared as MODULE
add_library(FaCTPlusPlusJNI MODULE ${SOURCE_FILES})
target_link_libraries(FaCTPlusPlusJNI LINK_PUBLIC Kernel)
# Include search path for jni.h and jni_md.h
include_directories(
	${JAVA_INCLUDE_PATH}
	${JAVA_INCLUDE_PATH2}
)

# allow library users to find headers
target_include_directories(FaCTPlusPlusJNI PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== FaCT++.JNI/Makefile ===
#
# Makefile for FaCT++ JNI interface library
#

# -- DO NOT CHANGE THE REST OF FILE --
LIBRARY = FaCTPlusPlusJNI
LTYPE = shared

INCLUDES = -I/System/Library/Frameworks/JavaVM.framework/Headers -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
USE_IL = ../Kernel

SOURCES = \
	Axioms.cpp\
	Expressions.cpp\
	KnowledgeExploration.cpp\
	Modularity.cpp\
	Queries.cpp\
	SaveLoad.cpp\
	MemoryStat.cpp\
	FaCTPlusPlus.cpp

include ../Makefile.include

=== FaCT++/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(SOURCE_FILES
	AD.cpp
	comparser.h
	comscanner.h
	FaCT.cpp
	lispgrammar.h
	parser.cpp
	parser.h
	scanner.cpp
	scanner.h
)

# Executable
add_executable(FaCT++ ${SOURCE_FILES})
target_link_libraries(FaCT++ LINK_PUBLIC Kernel)

=== FaCT++/Makefile ===
#
# Makefile for FaCT++
#

# -- DO NOT CHANGE THE REST OF FILE --
EXECUTABLE = FaCT++

USE_IL = ../Kernel

SOURCES = \
          scanner.cpp\
          parser.cpp\
          AD.cpp\
          FaCT.cpp

include ../Makefile.include

=== Kernel/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(SOURCE_FILES
	Actor.cpp
	Actor.h
	AtomicDecomposer.cpp
	AtomicDecomposer.h
	BiPointer.h
	Blocking.cpp
	BuildDAG.cpp
	CascadedCache.cpp
	CGLabel.h
	ConceptWithDep.h
	configure.cpp
	configure.h
	counter.h
	cpm.h
	cppi.h
	CWDArray.cpp
	CWDArray.h
	DataReasoning.cpp
	DataReasoning.h
	DataTypeCenter.cpp
	DataTypeCenter.h
	DataTypeComparator.h
	DeletelessAllocator.h
	DepSet.h
	dir_util.h
	dlCompletionGraph.cpp
	dlCompletionGraph.h
	dlCompletionTree.cpp
	dlCompletionTree.h
	dlCompletionTreeArc.h
	DLConceptTaxonomy.cpp
	DLConceptTaxonomy.h
	dlDag.cpp
	dlDag.h
	dlTBox.cpp
	dlTBox.h
	dltree.cpp
	dltree.h
	dlVertex.cpp
	dlVertex.h
	dlVHash.h
	dlVHashImpl.h
	dumpInterface.cpp
	dumpInterface.h
	dumpLisp.cpp
	dumpLisp.h
	eFaCTPlusPlus.h
	eFPPCantRegName.h
	eFPPCycleInRIA.h
	eFPPInconsistentKB.h
	eFPPNonSimpleRole.h
	eFPPSaveLoad.h
	eFPPTimeout.h
	ExtendedDataRange.cpp
	ExtendedSyntacticLocalityChecker.h
	flags.h
	fpp_assert.h
	GeneralSyntacticLocalityChecker.h
	globaldef.h
	grammar.h
	growingArrayP.h
	ifOptions.cpp
	ifOptions.h
	Incremental.cpp
	Input.cpp
	Kernel.cpp
	Kernel.h
	KnowledgeExplorer.cpp
	KnowledgeExplorer.h
	LeveLogger.cpp
	LeveLogger.h
	LocalityChecker.cpp
	LocalityChecker.h
	logging.h
	LogicFeature.cpp
	LogicFeature.h
	mergableLabel.h
	modelCacheConst.h
	modelCacheIan.cpp
	modelCacheIan.h
	modelCacheInterface.h
	modelCacheSingleton.h
	Modularity.h
	ModuleMethod.h
	ModuleType.h
	OntologyBasedModularizer.h
	Preprocess.cpp
	PriorityMatrix.h
	procTimer.h
	ProgressIndicatorInterface.h
	RAutomaton.cpp
	RAutomaton.h
	Reasoner.cpp
	Reasoner.h
	ReasonerNom.cpp
	ReasonerNom.h
	Relevance.cpp
	RoleMaster.cpp
	RoleMaster.h
	SaveLoad.cpp
	SaveLoadManager.cpp
	SaveLoadManager.h
	SearchableStack.h
	SemanticLocalityChecker.h
	SigIndex.h
	SortedReasoning.cpp
	SyntacticLocalityChecker.h
	Tactic.cpp
	TaxGatheringWalker.h
	tAxiom.cpp
	tAxiom.h
	tAxiomSet.cpp
	tAxiomSet.h
	taxNamEntry.h
	Taxonomy.cpp
	Taxonomy.h
	TaxonomyCreator.cpp
	TaxonomyCreator.h
	taxVertex.cpp
	taxVertex.h
	tBranchingContext.h
	tConcept.cpp
	tConcept.h
	tCounter.h
	tDag2Interface.cpp
	tDag2Interface.h
	tDataEntry.h
	tDataType.h
	tDataTypeBool.h
	tDataTypeManager.h
	tDepSet.h
	tDLAxiom.cpp
	tDLAxiom.h
	tDLExpression.h
	tExpressionManager.cpp
	tExpressionManager.h
	tExpressionPrinterLISP.h
	tExpressionTranslator.h
	tFastSet.h
	tHeadTailCache.h
	tIndividual.h
	tKBFlags.h
	tLabeller.h
	tLexeme.h
	tNamedEntry.h
	tNameSet.h
	tNAryQueue.h
	tNECollection.h
	ToDoList.h
	tOntology.h
	tOntologyAtom.h
	tOntologyLoader.h
	tOntologyPrinterLISP.h
	tProgressMonitor.h
	tRareSaveStack.h
	tRelated.h
	tRestorer.h
	tRole.cpp
	tRole.h
	tSaveList.h
	tSaveStack.h
	tSetAsTree.h
	tSignature.h
	tSignatureUpdater.h
	tsttree.h
	WalkerInterface.h
	dir_util.cpp
)

# Kernel
add_library(Kernel STATIC ${SOURCE_FILES})

# allow library users to find headers
target_include_directories(Kernel PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== Kernel/Makefile ===
--- 
+++ 
@@ -55,6 +55,7 @@
           ExtendedDataRange.cpp\
           SaveLoadManager.cpp\
           dir_util.cpp\
+          LocalityChecker.cpp\
 
 
 include ../Makefile.include

=== debian/changelog ===
fact++ (1.6.5~dfsg-3) unstable; urgency=medium

  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * watch: use dversionmangle=auto
  * add TODOs
  * simplify source script copyright-check
  * copyright: extend coverage
  * annotate superficial autopkgtest
  * add patch 1001 to fix build with GCC-10;
    closes: bug#957191, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2020 15:12:02 +0200

fact++ (1.6.5~dfsg-2) unstable; urgency=medium

  * Update copyright info:
    + Fix syntax of Copyright field for main author.
    + Use https protocol in file format URL.
    + Extend coverage of packaging.
  * Fix stop bogusly depend on dbus-x11.
    Closes: Bug#836091. Thanks to Simon McVittie.
  * Simplify rules.
    Stop build-depend on dh-buildinfo licensecheck cdbs.
  * Update Vcs-* fields: Packaging moved to Salsa.
  * Stop build-depend on cloog-ppl.
    + Closes: Bug#921848. Thanks to Matthias Klose.
  * Declare compliance with Debian Policy 4.3.0.
  * Enable parallel build.
  * Set Rules-Requires-Root: no.
  * Update watch file:
    + Rewrite usage comment.
    + Generalize dversionmangle option.
  * Drop obsolete lintian override about debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Enable autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Feb 2019 17:03:32 +0100

fact++ (1.6.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).
  * Update watch file: Fix watch URL.
  * Update copyright info: Extend coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Jan 2017 15:36:36 +0100

=== debian/control ===
Source: fact++
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Homepage: http://owl.man.ac.uk/factplusplus/
Vcs-Git: https://salsa.debian.org/debian/factplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/factplusplus
Rules-Requires-Root: no

Package: fact++
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: description logic reasoner for the semantic web
 FaCT++ is a DL reasoner.
 It supports OWL DL
 as well as the forthcoming standard OWL 1.1.
 FaCT++ is implemented in C++
 and uses optimised tableaux algorithms.
 The tool is probably best known
 for its compatibility with the tool Protege
 that helps to formally represent semantics.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/javahelper/java-vars.mk

# Anything POSIX is "LINUX" to upstream build logic, apparently
DEB_MAKE_EXTRA_ARGS += OS=LINUX

# Include CPPFLAGS - e.g. for security hardening
DEB_MAKE_EXTRA_ARGS += DEFINES="$(CPPFLAGS)"

# Support non-optimized builds
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
DEB_MAKE_EXTRA_ARGS += GENERAL_DEFINES=
endif

override_dh_auto_build:
	dh_auto_build -- -C Kernel $(DEB_MAKE_EXTRA_ARGS)
	dh_auto_build -- -C FaCT++ $(DEB_MAKE_EXTRA_ARGS)
#	JAVA_HOME=$(JAVA_HOME) \
#		dh_auto_build --parallel -- -C FaCT++.JNI $(DEB_MAKE_EXTRA_ARGS)

# TODO: make testsuite work
#PATH=$PWD/FaCT++:$PATH make -C Models.lisp/DataTypeTest

%:
	dh $@

=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 @,
Restrictions: superficial

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~dfsg,\
dversionmangle=auto \
https://bitbucket.org/dtsarkov/factplusplus/downloads?tab=tags \
/dtsarkov/factplusplus/get/Release@ANY_VERSION@@ARCHIVE_EXT@
